Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrComparison

    java.lang.Object
      org.modeshape.graph.query.model.Comparison
          org.modeshape.jcr.query.qom.JcrComparison

All Implemented Interfaces:
  Serializable, Comparison, Constraint, LanguageObject, Visitable, JcrConstraint

    public class JcrComparison

extends Comparison
implements JcrConstraint, Comparison

See Also:
  Serialized Form

Constructor Summary
`JcrComparison(JcrDynamicOperand operand1, Operator operator, JcrStaticOperand operand2)`

Method Summary
`DynamicOperand` | `getOperand1()`
`StaticOperand` | `getOperand2()`
`String` | `getOperator()`
`JcrDynamicOperand` | `operand1()` Get the dynamic operand of this comparison.
`JcrStaticOperand` | `operand2()` Get the dynamic operand of this comparison.

Methods inherited from class org.modeshape.graph.query.model.Comparison
`accept, equals, hashCode, operator, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrComparison

    public JcrComparison(JcrDynamicOperand operand1,
                         Operator operator,
                         JcrStaticOperand operand2)

Parameters:
  `operand1` -
  `operator` -
  `operand2` -

Method Detail

### operand1

    public JcrDynamicOperand operand1()

  Get the dynamic operand of this comparison.

  Overrides:
    `operand1` in class `Comparison`
  Returns:
    the dynamic operand; never null
  See Also:
    `Comparison.operand1()`

### operand2

    public JcrStaticOperand operand2()

  Get the dynamic operand of this comparison.

  Overrides:
    `operand2` in class `Comparison`
  Returns:
    the dynamic operand; never null
  See Also:
    `Comparison.operand2()`

### getOperand1

    public DynamicOperand getOperand1()

  Specified by:
    `getOperand1` in interface `Comparison`
  See Also:
    `Comparison.getOperand1()`

### getOperand2

    public StaticOperand getOperand2()

  Specified by:
    `getOperand2` in interface `Comparison`
  See Also:
    `Comparison.getOperand2()`

### getOperator

    public String getOperator()

  Specified by:
    `getOperator` in interface `Comparison`
  See Also:
    `Comparison.getOperator()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.